GeoTessCPP: geotess::CpuTimer Class Reference

GeoTessCPP 2.1 Software to facilitate storage and retrieval of 3D information about the Earth.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Friends Macros
Public Member Functions | Static Public Member Functions
geotess::CpuTimer Class Reference

`#include <CpuTimer.h>`

List of all members.

## Public Member Functions
| CpuTimer ()
double | cpuTime ()
double | cpuTimeInit ()
void | initTimer ()
double | realTime ()
double | realTimeInit ()

## Static Public Member Functions
static string | elapsedTimeString (double tm)
static string | elapsedTimeStringFraction (double tm)
static string | elapsedTimeStringFractionAbbrvUnits (double tm)
static double | getCurrCPUTime ()
static double | getCurrRealTime ()
static string | now ()

## Detailed Description

Manages real (wall clock) and cpu timing information and elapsed timing information.

## Constructor & Destructor Documentation

geotess::CpuTimer::CpuTimer | ( |  | ) |

## Member Function Documentation

double geotess::CpuTimer::cpuTime | ( |  | ) |

double geotess::CpuTimer::cpuTimeInit | ( |  | ) |

static string geotess::CpuTimer::elapsedTimeString | ( | double | tm | ) |
| static

static string geotess::CpuTimer::elapsedTimeStringFraction | ( | double | tm | ) |
| static

static string geotess::CpuTimer::elapsedTimeStringFractionAbbrvUnits | ( | double | tm | ) |
| static

static double geotess::CpuTimer::getCurrCPUTime | ( |  | ) |
| inlinestatic

Returns the current CPU time in msec since process start.

static double geotess::CpuTimer::getCurrRealTime | ( |  | ) |
| inlinestatic

Returns the current real time (wall clock) in msec since 1970.

void geotess::CpuTimer::initTimer | ( |  | ) |

static string geotess::CpuTimer::now | ( |  | ) |
| static

double geotess::CpuTimer::realTime | ( |  | ) |

double geotess::CpuTimer::realTimeInit | ( |  | ) |

The documentation for this class was generated from the following file:

- include/CpuTimer.h